<?php
 /**
  * Enqueue scripts and styles.
  */
function hotel_26_scripts()
{

    // Styles    
    wp_enqueue_style('hotel-26-theme-fonts', get_template_directory_uri().'/assets/css/fonts.css');
    wp_enqueue_style('hotel-26-booking', get_template_directory_uri().'/assets/css/booking.css');
    wp_enqueue_style('select2-min', get_template_directory_uri().'/assets/css/select2.min.css');
    wp_enqueue_style('odometer-min', get_template_directory_uri().'/assets/css/odometer-theme-default.min.css');
    wp_enqueue_style('hotel-26-theme', get_template_directory_uri().'/assets/css/theme.css');
    wp_enqueue_style('animate', get_template_directory_uri().'/assets/css/animate.min.css');
    wp_enqueue_style('font-awesome', get_template_directory_uri().'/assets/css/all.min.css');
    wp_enqueue_style('owl.carousel', get_template_directory_uri().'/assets/css/owl.carousel.min.css');    
    wp_enqueue_style('magnific-popup', get_template_directory_uri().'/assets/css/magnific-popup.min.css');
    wp_enqueue_style('bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css');    
    wp_enqueue_style('hotel-26-default', get_template_directory_uri().'/assets/css/color/default.css');    
    wp_enqueue_style('hotel-26-editor-style', get_template_directory_uri().'/assets/css/editor-style.css');    
    wp_enqueue_style('hotel-26-meanmenu', get_template_directory_uri().'/assets/css/meanmenu.css');        
    wp_enqueue_style('hotel-26-main', get_template_directory_uri().'/assets/css/main.css');    
    wp_style_add_data('hotel-26-main', 'rtl', 'replace');
    wp_enqueue_style('hotel-26-widget', get_template_directory_uri().'/assets/css/widgets.css');    
    wp_enqueue_style('hotel-26-widget-block', get_template_directory_uri().'/assets/css/block-widgets.css');    
    wp_enqueue_style('hotel-26-widget-lagecy', get_template_directory_uri().'/assets/css/lagecy-widgets.css');
    wp_enqueue_style('hotel-26-responsive', get_template_directory_uri().'/assets/css/responsive.css');    
    wp_enqueue_style('hotel-26-style', get_stylesheet_uri());
    
    // Scripts
    wp_enqueue_script('jquery');
    wp_enqueue_script('bootstrap-bundle-min', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);
    wp_enqueue_script('wow-min', get_template_directory_uri() . '/assets/js/wow.min.js', array('jquery'), false, true);
    wp_enqueue_script('waypoint-min', get_template_directory_uri() . '/assets/js/waypoints.min.js', array('jquery'), false, true);
    wp_enqueue_script('counterup-min', get_template_directory_uri() . '/assets/js/counterup.min.js', array('jquery'), false, true);
    wp_enqueue_script('odometer-min', get_template_directory_uri() . '/assets/js/odometer.min.js', array('jquery'), false, true);
    wp_enqueue_script('select2-min', get_template_directory_uri() . '/assets/js/select2.min.js', array('jquery'), false, true);
    wp_enqueue_script('magnific-popup', get_template_directory_uri() . '/assets/js/magnific-popup.js', array('jquery'), false, true);
    wp_enqueue_script('hotel-26-masonry', get_template_directory_uri() . '/assets/js/masonry.min.js', array('jquery'), false, true);
    wp_enqueue_script('mixitup-min', get_template_directory_uri() . '/assets/js/jquery.mixitup.min.js', array('jquery'), false, true);
    wp_enqueue_script('tilt-min', get_template_directory_uri() . '/assets/js/tilt.min.js', array('jquery'), false, true);
    wp_enqueue_script('circletype-min', get_template_directory_uri() . '/assets/js/circletype.min.js', array('jquery'), false, true);
    wp_enqueue_script('ripples-min', get_template_directory_uri() . '/assets/js/jquery.ripples.min.js', array('jquery'), false, true);
    wp_enqueue_script('owl-carousel-min', get_template_directory_uri() . '/assets/js/owl.carousel.min.js', array('jquery'), false, true);
    wp_enqueue_script('hotel-26-custom', get_template_directory_uri() . '/assets/js/custom.js', array('jquery'), false, true);
        

    if (is_singular() && comments_open() && get_option('thread_comments') ) {
        wp_enqueue_script('comment-reply');
    }
}
add_action('wp_enqueue_scripts', 'hotel_26_scripts');

//Admin Enqueue for Admin
function hotel_26_admin_enqueue_scripts()
{
    wp_enqueue_style('hotel-26-admin-style', get_template_directory_uri() . '/assets/css/admin.css');
}
add_action('admin_enqueue_scripts', 'hotel_26_admin_enqueue_scripts');
